---
services:
  opencloud:
    depends_on:
      progressbars-init:
        condition: service_completed_successfully

  progressbars-init:
    image: opencloudeu/web-extensions:progress-bars-1.0.0
    user: root
    volumes:
      - opencloud-apps:/apps
    entrypoint:
      - /bin/sh
    command: ["-c", "cp -R /usr/share/nginx/html/progress-bars/ /apps"]
